package com.hzya.frame.mdm.mdmModuleViewButton.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 主数据视图按钮表(MdmModuleViewButton)实体类
 *
 * @author makejava
 * @since 2024-06-03 08:48:46
 */
public class MdmModuleViewButtonEntity extends BaseEntity {
 
  /**  主数据模版ID */
   private String mdmId;
  /**  视图id */
   private String viewId;
  /**  类型1、新建2、重置3、查询4、修改 5、删除 6、查看 7、下发 */
   private String buttonType;
  /**  按钮值 */
   private String buttonValue;
  /**  公司id */
   private String companyId;

    /**  数据类型 1、新增 2、修改 */
    private String dataType;
    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getViewId() {
        return viewId;
    }

    public void setViewId(String viewId) {
        this.viewId = viewId;
    }

    public String getButtonType() {
        return buttonType;
    }

    public void setButtonType(String buttonType) {
        this.buttonType = buttonType;
    }

    public String getButtonValue() {
        return buttonValue;
    }

    public void setButtonValue(String buttonValue) {
        this.buttonValue = buttonValue;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }
}

